import{s as $e,n as be,o as Ce}from"../chunks/scheduler.db6b1edd.js";import{S as ke,i as Le,g as n,s as l,r as X,A as Me,h as i,f as t,c as r,j as g,u as Z,x as d,k as o,y as h,a as s,v as ee,d as te,t as ae,w as ne}from"../chunks/index.ef84021a.js";import{I as ie}from"../chunks/IconCopyLink.a99dc368.js";function Te(se){let c,N,u,m,A,_,K,H,oe="Splits and configurations",j,y,le="Machine learning datasets are commonly organized in <em>splits</em> and they may also have <em>configurations</em>. These internal structures provide the scaffolding for building out a dataset, and determines how a dataset should be split and organized. Understanding a dataset’s structure can help you create your own dataset, and know which subset of data you should use when during model training and evaluation.",I,x,re='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/split-configs-server.gif" alt="split-configs-server"/>',U,f,v,E,$,Q,P,he="Splits",q,b,de="Every processed and cleaned dataset contains <em>splits</em>, specific subsets of data reserved for specific needs. The most common splits are:",F,C,ce="<li><code>train</code>: data used to train a model; this data is exposed to the model</li> <li><code>validation</code>: data reserved for evaluation and improving model hyperparameters; this data is hidden from the model</li> <li><code>test</code>: data reserved for evaluation only; this data is completely hidden from the model and ourselves</li>",O,k,ue="The <code>validation</code> and <code>test</code> sets are especially important to ensure a model is actually learning instead of <em>overfitting</em>, or just memorizing the data.",J,p,w,z,L,V,S,fe="Configurations",R,M,pe='A <em>configuration</em> is a higher-level internal structure than a split, and a configuration contains splits. You can think of a configuration as a sub-dataset contained within a larger dataset. It is a useful structure for adding additional layers of organization to a dataset. For example, if you take a look at the <a href="https://huggingface.co/datasets/facebook/multilingual_librispeech" rel="nofollow">Multilingual LibriSpeech (MLS)</a> dataset, you’ll notice there are eight different languages. While you can create a dataset containing all eight languages, it’s probably neater to create a dataset with each language as a configuration. This way, users can instantly load a dataset with their language of interest instead of preprocessing the dataset to filter for a specific language.',W,T,ge='Configurations are flexible, and can be used to organize a dataset along whatever objective you’d like. For example, the <a href="https://huggingface.co/datasets/scene_parse_150" rel="nofollow">SceneParse150</a> dataset uses configurations to organize the dataset by task. One configuration is dedicated to segmenting the whole image, while the other configuration is for instance segmentation.',Y;return _=new ie({}),$=new ie({}),L=new ie({}),{c(){c=n("meta"),N=l(),u=n("h1"),m=n("a"),A=n("span"),X(_.$$.fragment),K=l(),H=n("span"),H.textContent=oe,j=l(),y=n("p"),y.innerHTML=le,I=l(),x=n("p"),x.innerHTML=re,U=l(),f=n("h2"),v=n("a"),E=n("span"),X($.$$.fragment),Q=l(),P=n("span"),P.textContent=he,q=l(),b=n("p"),b.innerHTML=de,F=l(),C=n("ul"),C.innerHTML=ce,O=l(),k=n("p"),k.innerHTML=ue,J=l(),p=n("h2"),w=n("a"),z=n("span"),X(L.$$.fragment),V=l(),S=n("span"),S.textContent=fe,R=l(),M=n("p"),M.innerHTML=pe,W=l(),T=n("p"),T.innerHTML=ge,this.h()},l(e){const a=Me("svelte-1phssyn",document.head);c=i(a,"META",{name:!0,content:!0}),a.forEach(t),N=r(e),u=i(e,"H1",{class:!0});var B=g(u);m=i(B,"A",{id:!0,class:!0,href:!0});var me=g(m);A=i(me,"SPAN",{});var ve=g(A);Z(_.$$.fragment,ve),ve.forEach(t),me.forEach(t),K=r(B),H=i(B,"SPAN",{"data-svelte-h":!0}),d(H)!=="svelte-1sauhb0"&&(H.textContent=oe),B.forEach(t),j=r(e),y=i(e,"P",{"data-svelte-h":!0}),d(y)!=="svelte-rov9zo"&&(y.innerHTML=le),I=r(e),x=i(e,"P",{"data-svelte-h":!0}),d(x)!=="svelte-1p3cuco"&&(x.innerHTML=re),U=r(e),f=i(e,"H2",{class:!0});var D=g(f);v=i(D,"A",{id:!0,class:!0,href:!0});var we=g(v);E=i(we,"SPAN",{});var _e=g(E);Z($.$$.fragment,_e),_e.forEach(t),we.forEach(t),Q=r(D),P=i(D,"SPAN",{"data-svelte-h":!0}),d(P)!=="svelte-19t61ae"&&(P.textContent=he),D.forEach(t),q=r(e),b=i(e,"P",{"data-svelte-h":!0}),d(b)!=="svelte-1xqui4b"&&(b.innerHTML=de),F=r(e),C=i(e,"UL",{"data-svelte-h":!0}),d(C)!=="svelte-1ptk7op"&&(C.innerHTML=ce),O=r(e),k=i(e,"P",{"data-svelte-h":!0}),d(k)!=="svelte-be0hj3"&&(k.innerHTML=ue),J=r(e),p=i(e,"H2",{class:!0});var G=g(p);w=i(G,"A",{id:!0,class:!0,href:!0});var ye=g(w);z=i(ye,"SPAN",{});var xe=g(z);Z(L.$$.fragment,xe),xe.forEach(t),ye.forEach(t),V=r(G),S=i(G,"SPAN",{"data-svelte-h":!0}),d(S)!=="svelte-1o4swfg"&&(S.textContent=fe),G.forEach(t),R=r(e),M=i(e,"P",{"data-svelte-h":!0}),d(M)!=="svelte-5g9nse"&&(M.innerHTML=pe),W=r(e),T=i(e,"P",{"data-svelte-h":!0}),d(T)!=="svelte-3xxeom"&&(T.innerHTML=ge),this.h()},h(){o(c,"name","hf:doc:metadata"),o(c,"content",JSON.stringify(He)),o(m,"id","splits-and-configurations"),o(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(m,"href","#splits-and-configurations"),o(u,"class","relative group"),o(v,"id","splits"),o(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(v,"href","#splits"),o(f,"class","relative group"),o(w,"id","configurations"),o(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(w,"href","#configurations"),o(p,"class","relative group")},m(e,a){h(document.head,c),s(e,N,a),s(e,u,a),h(u,m),h(m,A),ee(_,A,null),h(u,K),h(u,H),s(e,j,a),s(e,y,a),s(e,I,a),s(e,x,a),s(e,U,a),s(e,f,a),h(f,v),h(v,E),ee($,E,null),h(f,Q),h(f,P),s(e,q,a),s(e,b,a),s(e,F,a),s(e,C,a),s(e,O,a),s(e,k,a),s(e,J,a),s(e,p,a),h(p,w),h(w,z),ee(L,z,null),h(p,V),h(p,S),s(e,R,a),s(e,M,a),s(e,W,a),s(e,T,a),Y=!0},p:be,i(e){Y||(te(_.$$.fragment,e),te($.$$.fragment,e),te(L.$$.fragment,e),Y=!0)},o(e){ae(_.$$.fragment,e),ae($.$$.fragment,e),ae(L.$$.fragment,e),Y=!1},d(e){e&&(t(N),t(u),t(j),t(y),t(I),t(x),t(U),t(f),t(q),t(b),t(F),t(C),t(O),t(k),t(J),t(p),t(R),t(M),t(W),t(T)),t(c),ne(_),ne($),ne(L)}}}const He={local:"splits-and-configurations",sections:[{local:"splits",title:"Splits"},{local:"configurations",title:"Configurations"}],title:"Splits and configurations"};function Pe(se){return Ce(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ze extends ke{constructor(c){super(),Le(this,c,Pe,Te,$e,{})}}export{ze as component};
